Rename contract review version
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews/versions/{version_id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "<string>"
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews/versions/{version_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews/versions/{version_id}"
payload = { "name": "<string>" }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{
"error": "<string>"
}{
"error": "<string>"
}Contract Reviews
Rename contract review version
Give a version a name.
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
contract_submissions
/
{contract_submission_id}
/
reviews
/
versions
/
{version_id}
Rename contract review version
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews/versions/{version_id} \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "<string>"
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews/versions/{version_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/contract_submissions/{contract_submission_id}/reviews/versions/{version_id}"
payload = { "name": "<string>" }
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Path Parameters
ID of the contract submission
ID of the version
The numeric ID of the account
Body
application/json
Response
Success
The response is of type object.
Was this page helpful?